Update a heartbeat checkAsk AIput https://api.checklyhq.com/v1/checks/heartbeat/{id}Updates a Heartbeat check.Path ParamsidstringrequiredQuery ParamsautoAssignAlertsbooleanDefaults to trueDetermines whether a new check will automatically be added as a subscriber to all existing alert channels when it gets created.truefalseBody ParamsnamestringThe name of the check.activatedbooleanDefaults to trueDetermines if the check is running or not.truefalsemutedbooleanDefaults to falseDetermines if any notifications will be send out when a check fails and/or recovers.truefalsedoubleCheckbooleanDefaults to true[Deprecated] Retry failed check runs. This property is deprecated, and retryStrategy can be used instead.truefalseshouldFailbooleanDefaults to falseAllows to invert the behaviour of when a check is considered to fail. Allows for validating error status like 404.truefalselocationsarray of objectsAn array of one or more data center locations where to run this check.locationsADD stringtagsarray of stringsTags for organizing and filtering checks.tagsADD stringalertSettingsobjectAlert settings.alertSettings objectuseGlobalAlertSettingsbooleanDefaults to trueWhen true, the account level alert setting will be used, not the alert setting defined on this check.truefalsegroupIdnumberDefaults to nullThe id of the check group this check is part of.groupOrdernumber≥ 0Defaults to nullThe position of this check in a check group. It determines in what order checks are run when a group is triggered from the API or from CI/CD.runtimeIdstringenumDefaults to nullThe runtime version, i.e. fixed set of runtime dependencies, used to execute this check.2025.042024.092024.022023.092023.022022.10Allowed:2025.042024.092024.022023.092023.022022.10alertChannelSubscriptionsarray of objectsList of alert channel subscriptions.alertChannelSubscriptionsADD objecttriggerIncidentobjectDetermines whether the check or monitor should create and resolve an incident based on its alert configuration. Useful for status page automation.triggerIncident objectrunParallelbooleanDefaults to falseWhen true, the check will run in parallel in all selected locations.truefalsefrequencyintegerDefaults to 10How often the check should run in minutes.frequencyOffsetinteger≥ 1requestobjectrequest objectheartbeatobjectheartbeat objectscriptstringrequiredscriptPathstringPath of the script in the runtime.sslCheckDomainstringenvironmentVariablesarray of objectslength ≤ 50Key/value pairs for setting environment variables during check execution. These are only relevant for Browser checks. Use global environment variables whenever possible.environmentVariablesADD objectsetupSnippetIdnumberDefaults to nullAn ID reference to a snippet to use in the setup phase of an API check.tearDownSnippetIdnumberDefaults to nullAn ID reference to a snippet to use in the teardown phase of an API check.localSetupScriptstringDefaults to nullA valid piece of Node.js code to run in the setup phase.localTearDownScriptstringDefaults to nullA valid piece of Node.js code to run in the teardown phase.degradedResponseTimenumber0 to 300000Defaults to 10000The response time in milliseconds where a check should be considered degraded.maxResponseTimenumber0 to 300000Defaults to 20000The response time in milliseconds where a check should be considered failing.Headersx-checkly-accountstringYour Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/generalResponses 200Successful 401Unauthorized 403Forbidden 429Too Many RequestsUpdated 7 months ago